| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::PtrFunctor5< R, Arg1, Arg2, Arg3, Arg4, Arg5 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(* FunctionType )(Arg1, Arg2, Arg3, Arg4, Arg5)
- typedef R ResultType

## Public Member Functions

- PtrFunctor5 (FunctionType fn)
- ResultType operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5) const

## Public Attributes

- FunctionType fn

### template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>
struct Tp::PtrFunctor5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >

## Member Typedef Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

typedef R(* Tp::PtrFunctor5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::FunctionType)(Arg1, Arg2, Arg3, Arg4, Arg5)

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

typedef R Tp::PtrFunctor5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

Tp::PtrFunctor5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::PtrFunctor5 | ( | FunctionType | fn | ) | `[inline]`

## Member Function Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

ResultType Tp::PtrFunctor5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5
| ) |  | const`[inline]`

## Member Data Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 >

FunctionType Tp::PtrFunctor5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::fn